summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libffi/README12
-rw-r--r--libraries/libffi/libffi.SlackBuild86
-rw-r--r--libraries/libffi/libffi.info10
-rw-r--r--libraries/libffi/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/libraries/libffi/README b/libraries/libffi/README
new file mode 100644
index 0000000000..4a45b2e29e
--- /dev/null
+++ b/libraries/libffi/README
@@ -0,0 +1,12 @@
+The libffi library provides a portable, high level programming
+interface to various calling conventions. This allows a
+programmer to call any function specified by a call interface
+description at run-time.
+
+FFI stands for Foreign Function Interface. A foreign function
+interface is the popular name for the interface that allows code
+written in one language to call code written in another language.
+The libffi library really only provides the lowest, machine dependent
+layer of a fully featured foreign function interface. A layer must
+exist above libffi that handles type conversions for values passed
+between the two languages.
diff --git a/libraries/libffi/libffi.SlackBuild b/libraries/libffi/libffi.SlackBuild
new file mode 100644
index 0000000000..be1ee618df
--- /dev/null
+++ b/libraries/libffi/libffi.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for libffi
+# Written by Andrew Rowland, darowland@ieee.org
+
+PRGNAM=libffi
+VERSION=3.0.10
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="MAPPING PKG-INFO ChangeLog INSTALL TODO AUTHORS COPYING NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libffi/libffi.info b/libraries/libffi/libffi.info
new file mode 100644
index 0000000000..61c5ac5603
--- /dev/null
+++ b/libraries/libffi/libffi.info
@@ -0,0 +1,10 @@
+PRGNAM="libffi"
+VERSION="3.0.10"
+HOMEPAGE="http://sourceware.org/libffi"
+DOWNLOAD="ftp://sourceware.org/pub/libffi/libffi-3.0.10.tar.gz"
+MD5SUM="79390673f5d07a8fb342bc09b5055b6f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Rowland"
+EMAIL="darowland@ieee.org"
+APPROVED="rworkman"
diff --git a/libraries/libffi/slack-desc b/libraries/libffi/slack-desc
new file mode 100644
index 0000000000..722edb6efe
--- /dev/null
+++ b/libraries/libffi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libffi: libffi (Foreign Function Interface library)
+libffi:
+libffi: The libffi library provides a portable, high level programming
+libffi: interface to various calling conventions. This allows a programmer to
+libffi: call any function specified by a call interface description at
+libffi: run-time.
+libffi:
+libffi: http://sourceware.org/libffi/
+libffi:
+libffi:
+libffi: